﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.Generic;
using System.Collections.ObjectModel;

namespace _284486_TreeViewEmptyDisableContextMenu
{
	public class DataSource : ObservableCollection<Organization>
	{
		public DataSource()
		{
			Organization telerik = new Organization("Telerik");
			Department silverlight = new Department("Silverlight");
			Department wpf = new Department("WPF");

			telerik.Departments.Add(silverlight);
			telerik.Departments.Add(wpf);

			silverlight.Employees.Add(new Person("John"));
			silverlight.Employees.Add(new Person("Ben"));
			silverlight.Employees.Add(new Person("Ann"));

			wpf.Employees.Add(new Person("Karoline"));
			wpf.Employees.Add(new Person("Simone"));
			wpf.Employees.Add(new Person("Eduard"));

			this.Add(telerik);
		}
	}
}