﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Input;
using Telerik.Windows;
using _284486_TreeViewEmptyDisableContextMenu;
using System.Collections.ObjectModel;

namespace _284486_TreeViewEmptyDisableContextMenu
{
	public partial class MainPage : UserControl
	{
		public ObservableCollection<RadTreeViewItem> RightClickedItems = new ObservableCollection<RadTreeViewItem>();

		public MainPage()
		{
			InitializeComponent();

			this.myTreeView.AddHandler(RadMenuItem.ClickEvent, new RoutedEventHandler(OnMenuItemClicked));
		}

		private void OnMenuItemClicked(object sender, RoutedEventArgs args)
		{
			foreach (var item in myTreeView.SelectedItems)
			{
				RadTreeViewItem selectedItem = myTreeView.ContainerFromItemRecursive(item);
				SolidColorBrush Brush = new SolidColorBrush();
				Brush.Color = Colors.Yellow;

				selectedItem.Background = Brush;
			}

			myTreeView.SelectedItems.Clear();
		}

		private void RadContextMenu_Opened(object sender, RoutedEventArgs e)
		{
			RadTreeViewItem item = (sender as RadContextMenu).GetClickedElement<RadTreeViewItem>();

			//if (item.IsSelected == false)
			//{
			//    myTreeView.SelectedItems.Clear();
			//    myTreeView.SelectedItem = item.Item;
			//}

			if (RightClickedItems.Count == 0)
			{
				item.IsSelected = true;
				item.Focus();
				RightClickedItems.Add(item);
			}
			else
			{
				foreach (RadTreeViewItem RightClickedItem in RightClickedItems)
				{
					RightClickedItem.IsSelected = false;
				}
				RightClickedItems.Clear();
				item.IsSelected = true;
				item.Focus();
				RightClickedItems.Add(item);
			}
		}
	}
}
